﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AnnotationWindow.xaml.cs" company="Mar3ek">
//   http://mar3ek.wordpress.com
// </copyright>
// <summary>
//   Interaction logic for AnnotationWindow.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Mar3ek.ColorHatTimeTracker
{
    using System.Windows;

    /// <summary>
    /// Interaction logic for AnnotationWindow
    /// </summary>
    public partial class AnnotationWindow
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AnnotationWindow"/> class.
        /// </summary>
        public AnnotationWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// The OkButton.Click event handler.
        /// </summary>
        /// <param name="sender">
        /// The sender.
        /// </param>
        /// <param name="e">
        /// The event arguments.
        /// </param>
        private void OkButtonClick(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            this.Close();
        }

        /// <summary>
        /// The CancelButton.Click event handler.
        /// </summary>
        /// <param name="sender">
        /// The sender.
        /// </param>
        /// <param name="e">
        /// The event arguments.
        /// </param>
        private void CancelButtonClick(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            this.Close();
        }
    }
}
