﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ColorhatException.cs" company="Mar3ek">
//   http://mar3ek.wordpress.com
// </copyright>
// <summary>
//   Defines the ColorhatException type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace ColorhatNet.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// The ColorHat exception.
    /// </summary>
    [Serializable]
    public class ColorhatException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ColorhatException"/> class.
        /// </summary>
        public ColorhatException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ColorhatException"/> class.
        /// </summary>
        /// <param name="message">
        /// The message.
        /// </param>
        public ColorhatException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ColorhatException"/> class.
        /// </summary>
        /// <param name="message">
        /// The message.
        /// </param>
        /// <param name="innerException">
        /// The inner exception.
        /// </param>
        public ColorhatException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ColorhatException"/> class.
        /// </summary>
        /// <param name="info">
        /// The serialization info.
        /// </param>
        /// <param name="context">
        /// The streaming context.
        /// </param>
        protected ColorhatException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}
