﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ReleaseInfo.cs" company="Mar3ek">
//   http://mar3ek.wordpress.com
// </copyright>
// <summary>
//   Defines the ReleaseInfo type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Mar3ek.ColorHatTimeTracker
{
    /// <summary>
    /// Contains release-specific information about the package.
    /// </summary>
    internal static class ReleaseInfo
    {
        /// <summary>
        /// The release codename.
        /// </summary>
        private const string ReleaseCodeNameConst = "Twilight Sparkle";

        /// <summary>
        /// The release addition info.
        /// </summary>
        private const string ReleaseAdditionInfoConst = "This is my book. And I'M GONNA READ IT!";

        /// <summary>
        /// Gets the release codename.
        /// </summary>
        public static string ReleaseCodeName
        {
            get
            {
                return ReleaseCodeNameConst;
            }
        }

        /// <summary>
        /// Gets the release addition info.
        /// </summary>
        public static string ReleaseAdditionInfo
        {
            get
            {
                return ReleaseAdditionInfoConst;
            }
        }

        /// <summary>
        /// Gets the package version.
        /// </summary>
        public static string Version
        {
            get
            {
                var version = System.Reflection.Assembly.GetExecutingAssembly().GetName().Version;
                return string.Format("{0}.{1}{2}", version.Major, version.Minor, version.Revision);
            }
        }
    }
}
