﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Mar3ek" file="GuidList.cs">
//   http://mar3ek.wordpress.com
// </copyright>
// <summary>
//   The list of GUIDs used in this VS package
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Mar3ek.ColorHatTimeTracker
{
    using System;

    /// <summary>
    /// The list of GUIDs used in this package.
    /// </summary>
    public static class GuidList
    {
        /// <summary>
        /// The GUID of the package.
        /// </summary>
        public const string GuidColorHatTimeTrackerPkgString = "5967a2d5-052d-44c0-a424-8c24e2b94d7f";

        /// <summary>
        /// The GUID of the command set in string form.
        /// </summary>
        public const string GuidColorHatTimeTrackerCmdSetString = "77a2bc7a-0482-4371-bcbc-ca7265c50586";

        /// <summary>
        /// The GUID of the ColorHat output pane.
        /// </summary>
        public const string GuidColorhatOutputPane = "{1CF6B28D-37AF-4C59-B83E-DDC58B13800E}";

        /// <summary>
        /// The GUID of the command set as a GUID object.
        /// </summary>
        public static readonly Guid GuidColorHatTimeTrackerCmdSet = new Guid(GuidColorHatTimeTrackerCmdSetString);
    }
}