﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="SessionInfo.cs" company="Mar3ek">
//   http://mar3ek.wordpress.com
// </copyright>
// <summary>
//   Defines the SessionInfo type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Mar3ek.ColorHatTimeTracker
{
    using System;

    /// <summary>
    /// The timing session info.
    /// </summary>
    public class SessionInfo
    {
        /// <summary>
        /// Gets or sets the timing session's start time.
        /// </summary>
        public DateTime Time { get; set; }

        /// <summary>
        /// Gets or sets the timing session's project name.
        /// </summary>
        public string ProjectName { get; set; }

        /// <summary>
        /// Gets or sets the timing session's service name.
        /// </summary>
        public string ServiceName { get; set; }
    }
}